Loading...
Searching...
No Matches
is_specialization< AnyType, TemplateType > Struct Template Reference

Metafunction used to determine if the first template parameter is a specialization of the class template given in the second template parameter. More...

`#include <nanovdb/NanoVDB.h>`

## Static Public Attributes

static const bool | value = false

## Detailed Description

template<typename AnyType, template< typename... > class TemplateType>
struct nanovdb::is_specialization< AnyType, TemplateType >

Metafunction used to determine if the first template parameter is a specialization of the class template given in the second template parameter.

is_specialization<Vec3<float>, Vec3>value == true;

## Member Data Documentation

## value

template<typename AnyType, template< typename... > class TemplateType>

const bool value = false

static